package com.fs.company.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.company.domain.CompanyMiniapp;
import com.fs.company.vo.CompanyVO;

import java.util.List;

/**
 * 客服公司小程序Service接口
 * 
 * @author fs
 * @date 2025-07-24
 */
public interface ICompanyMiniappService extends IService<CompanyMiniapp>{
    /**
     * 查询客服公司小程序
     * 
     * @param id 客服公司小程序主键
     * @return 客服公司小程序
     */
    CompanyMiniapp selectCompanyMiniappById(Long id);

    /**
     * 查询客服公司小程序列表
     * 
     * @param companyMiniapp 客服公司小程序
     * @return 客服公司小程序集合
     */
    List<CompanyMiniapp> selectCompanyMiniappList(CompanyMiniapp companyMiniapp);

    /**
     * 新增客服公司小程序
     * 
     * @param companyMiniapp 客服公司小程序
     * @return 结果
     */
    int insertCompanyMiniapp(CompanyMiniapp companyMiniapp);

    /**
     * 修改客服公司小程序
     * 
     * @param companyMiniapp 客服公司小程序
     * @return 结果
     */
    int updateCompanyMiniapp(CompanyMiniapp companyMiniapp);

    /**
     * 批量删除客服公司小程序
     * 
     * @param ids 需要删除的客服公司小程序主键集合
     * @return 结果
     */
    int deleteCompanyMiniappByIds(Long[] ids);

    /**
     * 删除客服公司小程序信息
     * 
     * @param id 客服公司小程序主键
     * @return 结果
     */
    int deleteCompanyMiniappById(Long id);

    void insertBatch(List<String> appIds, Long companyId, Integer type);

    void removeByCompanyId(Long companyId);

    void setMiniAppList(List<CompanyVO> companyVOS);
    List<CompanyMiniapp> getMiniAppListByCompanyList(List<Long> companyIds);
}
